> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# DataForSEO Labs Status

> By calling this endpoint, you will find out when the DataForSEO Labs data was last updated.



## OpenAPI

````yaml openapi/dataforseo.json GET /dataforseo/dataforseo_labs/status
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: DataForSEO API endpoints exposed through the AIsa unified gateway.
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/dataforseo_labs/status:
    get:
      summary: DataForSEO Labs Status
      description: >-
        By calling this endpoint, you will find out when the DataForSEO Labs
        data was last updated. The API response will provide separate update
        dates for the Google, Bing, and Amazon endpoints of DataForSEO Labs API.
      operationId: get_dataforseo_dataforseo_labs_status
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: the current version of the API
                  status_code:
                    type: integer
                    description: >-
                      general status code you can find the full list of the
                      response codes here Note: we strongly recommend designing
                      a necessary system for handling related exceptional or
                      error conditions
                  status_message:
                    type: string
                    description: >-
                      general informational message you can find the full list
                      of general informational messages here
                  time:
                    type: string
                    description: execution time, seconds
                  cost:
                    type: number
                    description: total tasks cost, USD
                  tasks_count:
                    type: integer
                    description: the number of tasks in the tasks array
                  tasks_error:
                    type: integer
                    description: >-
                      the number of tasks in the tasks array returned with an
                      error
                  tasks:
                    type: array
                    items:
                      type: string
                    description: array of tasks
                  tasks.id:
                    type: string
                    description: >-
                      task identifier unique task identifier in our system in
                      the UUID format
                  tasks.status_code:
                    type: integer
                    description: >-
                      status code of the task generated by DataForSEO; can be
                      within the following range: 10000-60000 you can find the
                      full list of response codes here
                  tasks.status_message:
                    type: string
                    description: >-
                      informational message of the task you can find the full
                      list of general informational messages here
                  tasks.time:
                    type: string
                    description: execution time, seconds
                  tasks.cost:
                    type: number
                    description: cost of the task, USD
                  tasks.result_count:
                    type: integer
                    description: number of elements in the result array
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL path
                  tasks.data:
                    type: object
                    description: the data specified in the API call
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: array of results
                  tasks.result.google:
                    type: object
                    description: update information for the Google endpoints
                  tasks.result.google.date_update:
                    type: string
                    description: >-
                      update date of the Google endpoints indicates the last
                      date when the Google endpoints of DataForSEO Labs API were
                      updated; example: 2022-05-16
                  tasks.result.bing:
                    type: object
                    description: update information for the Bing endpoints
                  tasks.result.bing.date_update:
                    type: string
                    description: >-
                      update date of the Bing endpoints indicates the last date
                      when the Bing endpoints of DataForSEO Labs API were
                      updated; example: 2022-05-16
                  tasks.result.amazon:
                    type: object
                    description: update information for the Amazon endpoints
                  tasks.result.amazon.date_update:
                    type: string
                    description: >-
                      update date of the Amazon endpoints indicates the last
                      date when the Amazon endpoints of DataForSEO Labs API were
                      updated; example: 2022-05-23
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '429':
          description: Rate limit exceeded
        '500':
          description: Internal server error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````